package rocks.zipcode;

public class BlackJackRule {
    private static final int MAXIMUM_SCORE = 21;


    public boolean isBusted(Player player) {
        return player.handScore() > MAXIMUM_SCORE;
    }

    public Player getWinner(Player dealer, Player player) {
        if (isBusted(player) && isBusted(dealer)) {
            return null;
        } else if (isBusted(player) ) {
            return dealer;
        } else if (isBusted(dealer) ) {
            return player;
        } else if (player.handScore() > dealer.handScore()) {
            return player;
        } else if(player.handScore() < dealer.handScore()) {
            return dealer;
        }
        // compare the hand score of each player
        // return whichever one is higher but less than 21
        return null;
    }
}
